恩山无线论坛

 找回密码
 立即注册

QQ登录

只需一步,快速开始

搜索
 迅雷TV版在当贝应用市场独家首发恩山
查看: 389|回复: 3

求助 关于openwrt包管理相关的问题

[复制链接]
发表于 2022-8-8 22:13 | 显示全部楼层 |阅读模式
10恩山币
硬件是一个阿童木d2550的工控机
系统是之前随便找的一个懒人包  今天突然要用docker 使用包管理器安装
# opkg install dockerd

Multiple packages (libgcc1 and libgcc1) providing same name marked HOLD or PREFER. Using latest.

Multiple packages (libgcc1 and libgcc1) providing same name marked HOLD or PREFER. Using latest.
Multiple packages (libpthread and libpthread) providing same name marked HOLD or PREFER. Using latest.
Multiple packages (librt and librt) providing same name marked HOLD or PREFER. Using latest.
Multiple packages (libpthread and libpthread) providing same name marked HOLD or PREFER. Using latest.
Installing dockerd (20.10.17-1) to root...
Downloading https://mirrors.cloud.tencent.co ... .10.17-1_x86_64.ipk
Collected errors:
* pkg_hash_check_unresolved: cannot find dependency kernel (= 5.10.135-1-e32878194852e0f82543387f7821adf6) for kmod-crypto-hash
* pkg_hash_check_unresolved: cannot find dependency kernel (= 5.10.135-1-e32878194852e0f82543387f7821adf6) for kmod-crypto-crc32c
* pkg_hash_check_unresolved: cannot find dependency kernel (= 5.10.135-1-e32878194852e0f82543387f7821adf6) for kmod-lib-crc32c
* pkg_hash_check_unresolved: cannot find dependency kernel (= 5.10.135-1-e32878194852e0f82543387f7821adf6) for kmod-crypto-acompress
* pkg_hash_check_unresolved: cannot find dependency kernel (= 5.10.135-1-e32878194852e0f82543387f7821adf6) for kmod-lib-lzo
* pkg_hash_check_unresolved: cannot find dependency kernel (= 5.10.135-1-e32878194852e0f82543387f7821adf6) for kmod-lib-zlib-inflate
* pkg_hash_check_unresolved: cannot find dependency kernel (= 5.10.135-1-e32878194852e0f82543387f7821adf6) for kmod-lib-zlib-deflate
* pkg_hash_check_unresolved: cannot find dependency kernel (= 5.10.135-1-e32878194852e0f82543387f7821adf6) for kmod-lib-raid6
* pkg_hash_check_unresolved: cannot find dependency kernel (= 5.10.135-1-e32878194852e0f82543387f7821adf6) for kmod-lib-xor
* pkg_hash_check_unresolved: cannot find dependency kernel (= 5.10.135-1-e32878194852e0f82543387f7821adf6) for kmod-lib-zstd
* pkg_hash_check_unresolved: cannot find dependency kernel (= 5.10.135-1-e32878194852e0f82543387f7821adf6) for kmod-fs-btrfs
* pkg_hash_check_unresolved: cannot find dependency kernel (= 5.10.135-1-e32878194852e0f82543387f7821adf6) for kmod-nf-reject
* pkg_hash_check_unresolved: cannot find dependency kernel (= 5.10.135-1-e32878194852e0f82543387f7821adf6) for kmod-nf-ipt
* pkg_hash_check_unresolved: cannot find dependency kernel (= 5.10.135-1-e32878194852e0f82543387f7821adf6) for kmod-nf-log
* pkg_hash_fetch_best_installation_candidate: Packages for kmod-nf-log found, but incompatible with the architectures configured
* pkg_hash_check_unresolved: cannot find dependency kernel (= 5.10.135-1-e32878194852e0f82543387f7821adf6) for kmod-ipt-core
* pkg_hash_check_unresolved: cannot find dependency kernel (= 5.10.135-1-e32878194852e0f82543387f7821adf6) for kmod-nfnetlink
* pkg_hash_check_unresolved: cannot find dependency kernel (= 5.10.135-1-e32878194852e0f82543387f7821adf6) for kmod-nf-reject6
* pkg_hash_check_unresolved: cannot find dependency kernel (= 5.10.135-1-e32878194852e0f82543387f7821adf6) for kmod-nf-conntrack
* pkg_hash_check_unresolved: cannot find dependency kernel (= 5.10.135-1-e32878194852e0f82543387f7821adf6) for kmod-nf-conntrack6
* pkg_hash_check_unresolved: cannot find dependency kernel (= 5.10.135-1-e32878194852e0f82543387f7821adf6) for kmod-nf-nat
* pkg_hash_check_unresolved: cannot find dependency kernel (= 5.10.135-1-e32878194852e0f82543387f7821adf6) for kmod-nf-log6
* pkg_hash_fetch_best_installation_candidate: Packages for kmod-nf-log6 found, but incompatible with the architectures configured
* pkg_hash_check_unresolved: cannot find dependency kernel (= 5.10.135-1-e32878194852e0f82543387f7821adf6) for kmod-nft-core
* pkg_hash_fetch_best_installation_candidate: Packages for kmod-nft-core found, but incompatible with the architectures configured
* pkg_hash_check_unresolved: cannot find dependency kernel (= 5.10.135-1-e32878194852e0f82543387f7821adf6) for kmod-nft-compat
* pkg_hash_fetch_best_installation_candidate: Packages for kmod-nft-compat found, but incompatible with the architectures configured
* pkg_hash_check_unresolved: cannot find dependency kernel (= 5.10.135-1-e32878194852e0f82543387f7821adf6) for kmod-ipt-extra
* pkg_hash_check_unresolved: cannot find dependency kernel (= 5.10.135-1-e32878194852e0f82543387f7821adf6) for kmod-nf-ipt6
* pkg_hash_check_unresolved: cannot find dependency kernel (= 5.10.135-1-e32878194852e0f82543387f7821adf6) for kmod-ip6tables
* pkg_hash_check_unresolved: cannot find dependency kernel (= 5.10.135-1-e32878194852e0f82543387f7821adf6) for kmod-nf-nat6
* pkg_hash_check_unresolved: cannot find dependency kernel (= 5.10.135-1-e32878194852e0f82543387f7821adf6) for kmod-ipt-conntrack
* pkg_hash_check_unresolved: cannot find dependency kernel (= 5.10.135-1-e32878194852e0f82543387f7821adf6) for kmod-ipt-nat
* pkg_hash_check_unresolved: cannot find dependency kernel (= 5.10.135-1-e32878194852e0f82543387f7821adf6) for kmod-ipt-nat6
* pkg_hash_check_unresolved: cannot find dependency kernel (= 5.10.135-1-e32878194852e0f82543387f7821adf6) for kmod-br-netfilter
* pkg_hash_check_unresolved: cannot find dependency kernel (= 5.10.135-1-e32878194852e0f82543387f7821adf6) for kmod-ipt-physdev
* pkg_hash_fetch_best_installation_candidate: Packages for kmod-ipt-physdev found, but incompatible with the architectures configured
* pkg_hash_check_unresolved: cannot find dependency kernel (= 5.10.135-1-e32878194852e0f82543387f7821adf6) for kmod-nf-ipvs
* pkg_hash_check_unresolved: cannot find dependency kernel (= 5.10.135-1-e32878194852e0f82543387f7821adf6) for kmod-veth
* pkg_hash_check_unresolved: cannot find dependency kernel (= 5.10.135-1-e32878194852e0f82543387f7821adf6) for kmod-nft-fib
* pkg_hash_fetch_best_installation_candidate: Packages for kmod-nft-fib found, but incompatible with the architectures configured
* pkg_hash_check_unresolved: cannot find dependency kernel (= 5.10.135-1-e32878194852e0f82543387f7821adf6) for kmod-nf-flow
* pkg_hash_fetch_best_installation_candidate: Packages for kmod-nf-flow found, but incompatible with the architectures configured
* pkg_hash_check_unresolved: cannot find dependency kernel (= 5.10.135-1-e32878194852e0f82543387f7821adf6) for kmod-nft-nat
* pkg_hash_fetch_best_installation_candidate: Packages for kmod-nft-nat found, but incompatible with the architectures configured
* pkg_hash_check_unresolved: cannot find dependency kernel (= 5.10.135-1-e32878194852e0f82543387f7821adf6) for kmod-nft-offload
* pkg_hash_fetch_best_installation_candidate: Packages for kmod-nft-offload found, but incompatible with the architectures configured
* pkg_hash_check_unresolved: cannot find dependency kernel (= 5.10.135-1-e32878194852e0f82543387f7821adf6) for kmod-nft-nat6
* pkg_hash_fetch_best_installation_candidate: Packages for kmod-nft-nat6 found, but incompatible with the architectures configured
* satisfy_dependencies_for: Cannot satisfy the following dependencies for dockerd:
*      kernel (= 5.10.135-1-e32878194852e0f82543387f7821adf6)
* opkg_install_cmd: Cannot install package dockerd.



出现如上报错 并且安装其他软件 依然有类似的报错 比如ffmpeg


# opkg install ffmpeg
Multiple packages (libgcc1 and libgcc1) providing same name marked HOLD or PREFER. Using latest.
Multiple packages (libgcc1 and libgcc1) providing same name marked HOLD or PREFER. Using latest.
Multiple packages (libpthread and libpthread) providing same name marked HOLD or PREFER. Using latest.
Multiple packages (libpthread and libpthread) providing same name marked HOLD or PREFER. Using latest.
Multiple packages (libpthread and libpthread) providing same name marked HOLD or PREFER. Using latest.
Multiple packages (libpthread and libpthread) providing same name marked HOLD or PREFER. Using latest.
Multiple packages (libpthread and libpthread) providing same name marked HOLD or PREFER. Using latest.
Multiple packages (librt and librt) providing same name marked HOLD or PREFER. Using latest.
Multiple packages (libgcc1 and libgcc1) providing same name marked HOLD or PREFER. Using latest.
Multiple packages (libatomic1 and libatomic1) providing same name marked HOLD or PREFER. Using latest.
Installing ffmpeg (5.1-1) to root...
Downloading https://mirrors.cloud.tencent.co ... eg_5.1-1_x86_64.ipk
Multiple packages (libpthread and libpthread) providing same name marked HOLD or PREFER. Using latest.
Multiple packages (libpthread and libpthread) providing same name marked HOLD or PREFER. Using latest.
Multiple packages (libpthread and libpthread) providing same name marked HOLD or PREFER. Using latest.
Multiple packages (libpthread and libpthread) providing same name marked HOLD or PREFER. Using latest.
Multiple packages (librt and librt) providing same name marked HOLD or PREFER. Using latest.
Multiple packages (libatomic1 and libatomic1) providing same name marked HOLD or PREFER. Using latest.
Collected errors:
* pkg_hash_check_unresolved: cannot find dependency kernel (= 5.10.135-1-e32878194852e0f82543387f7821adf6) for kmod-input-core
* pkg_hash_check_unresolved: cannot find dependency kernel (= 5.10.135-1-e32878194852e0f82543387f7821adf6) for kmod-sound-core
* pkg_hash_fetch_best_installation_candidate: Packages for kmod-sound-core found, but incompatible with the architectures configured
* satisfy_dependencies_for: Cannot satisfy the following dependencies for ffmpeg:
*      kernel (= 5.10.135-1-e32878194852e0f82543387f7821adf6)
* opkg_install_cmd: Cannot install package ffmpeg.

都无法安装 因为用了好久 添加了很多内容 所以 最好不要换系统 有大佬有解决办法吗


我的恩山、我的无线 The best wifi forum is right here.
发表于 2022-8-10 10:21 | 显示全部楼层
重刷不就最简单

点评

啊呀 我这里面有好多内容 重装太麻烦了。。。  详情 回复 发表于 2022-8-10 17:52
我的恩山、我的无线 The best wifi forum is right here.
 楼主| 发表于 2022-8-10 17:52 | 显示全部楼层

啊呀 我这里面有好多内容 重装太麻烦了。。。

点评

备份配置啊  详情 回复 发表于 2022-8-10 21:29
我的恩山、我的无线 The best wifi forum is right here.
发表于 2022-8-10 21:29 | 显示全部楼层
ouhuangQAQ 发表于 2022-8-10 17:52
啊呀 我这里面有好多内容 重装太麻烦了。。。

备份配置啊
我的恩山、我的无线 The best wifi forum is right here.
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|手机版|小黑屋|Archiver|恩山无线论坛(常州市恩山计算机开发有限公司版权所有) ( 苏ICP备05084872号 )|网站地图

GMT+8, 2022-10-1 03:38

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

| 江苏省互联网有害信息举报中心 举报信箱:js12377@jschina.com.cn 举报电话:025-88802724 | 本站不良内容举报信箱:68610888@qq.com 举报电话:0519-86695797
快速回复 返回顶部 返回列表